HDF5 Reference Manual H5 H5A H5D H5E H5F H5G H5P H5S H5T H5Z Tools

# H5Z: Compression Interface

## Compression API Functions

This function enable the user to configure a new compression method for the local environment.

- H5Zregister

HDF5 supports compression of raw data by compression methods built into the library or defined by an application. A compression method is associated with a dataset when the dataset is created and is applied independently to each storage chunk of the dataset. The dataset must use the `H5D_CHUNKED` storage layout.

The HDF5 library does not support compression for contiguous datasets because of the difficulty of implementing random access for partial I/O. Compact dataset compression is not supported because it would not produce significant results.

See Compression in the HDF5 User's Guide for further information.

Name: H5Zregister
Signature:
  herr_t `H5Zregister`(H5Z_method_t `method`, const char *`name`, H5Z_func_t `cfunc`, H5Z_func_t `ufunc` )
Purpose:
  Registers new compression and uncompression functions for a method specified by a method number.
Description:
  `H5Zregister` registers new compression and uncompression functions for a method specified by a method number, `method`. `name` is used for debugging and may be the null pointer. Either or both of `cfunc` (the compression function) and `ufunc` (the uncompression method) may be null pointers.

  The statistics associated with a method number are not reset by this function; they accumulate over the life of the library.

Parameters:

H5Z_method_t `method`
  Number specifying compression method.
const char *`name`
  Name associated with the method number.
H5Z_func_t `cfunc`
  Compression method.
H5Z_func_t `ufunc`
  Uncompression method.

Returns:
  Returns SUCCEED (0) if successful; otherwise FAIL (-1).

HDF5 Reference Manual H5 H5A H5D H5E H5F H5G H5P H5S H5T H5Z Tools

HDF Help Desk
Last modified: 14 July 1998